
Core - Bug # 55608

Status: Resolved Priority: Should have
Author: Michiel Roos Category:
Created: 2014-02-02 Assigned To:
Updated: 2014-02-04 Due date:
TYPO3 Version: 6.2
PHP Version: 5.3
Complexity: easy
Is Regression: Yes
Sprint Focus:
Subject: addModule does not add after:blah when blah does not exist
Description

The cleaned up addModule() method no longer adds the module after a module, when the target module does not exist.
http://forge.typo3.org/issues/55122

Expected behaviour: module added to the list.

Observed behaviour: module not added at all.

Associated revisions
Revision 707b0106 - 2014-02-03 23:35 - Michiel Roos

[BUGFIX] addModule after/before not working

The cleaned up addModule() method no longer adds the module after a
module, when the target module does not exist.

Expected behaviour: module added to the list.

Observed behaviour: module not added at all.

Change-Id: Ie0d1d0c98f9c7dde81636a40eb18a3a7816392f6
Resolves: #55608
Related: #55122
Releases: 6.2
Reviewed-on: https://review.typo3.org/27284
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Reviewed-by: Markus Klein
Tested-by: Markus Klein

History
#1 - 2014-02-03 00:21 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27284
#2 - 2014-02-03 00:59 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27284

#3 - 2014-02-03 21:49 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27284

#4 - 2014-02-03 22:19 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27284

#5 - 2014-02-03 22:47 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27284

#6 - 2014-02-03 22:48 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27284

#7 - 2014-02-03 22:51 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27284

#8 - 2014-02-03 23:11 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27284

#9 - 2014-02-03 23:12 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27284

#10 - 2014-02-03 23:27 - Gerrit Code Review

Patch set 10 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27284
#11 - 2014-02-03 23:32 - Gerrit Code Review

Patch set 11 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27284

#12 - 2014-02-04 00:31 - Michiel Roos
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:707b01069d206be3504ad7ef298686213f29eb3f.
